Skip to content

Resource Details

GET
/api/v1/resource-quota-details/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/resource-quota-details/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieves the current status of resource quotas.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response with resource quota information

Media typeapplication/json
object
code
integer
data
object
resource_quota_enabled
boolean
gpu_and_higher_plans_enabled
boolean
resource_quota_used
boolean
capped_resources_quota
integer
consumed_resources_quota
integer
consumed_quota_details
object
node
integer
dbaas
integer
load_balancer
integer
vpc
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"resource_quota_enabled": true,
"gpu_and_higher_plans_enabled": true,
"resource_quota_used": false,
"capped_resources_quota": 30,
"consumed_resources_quota": 2,
"consumed_quota_details": {
"node": 0,
"dbaas": 0,
"load_balancer": 1,
"vpc": 1
}
},
"errors": {},
"message": "Success"
}